<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_101) on Fri Oct 21 15:02:57 EDT 2016 -->
<title>GameState</title>
<meta name="date" content="2016-10-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GameState";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/GameGUI.ButtonListener.html" title="class in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/Hollow.html" title="enum in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/GameState.html" target="_top">Frames</a></li>
<li><a href="GameState.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">quarto</div>
<h2 title="Class GameState" class="title">Class GameState</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>quarto.GameState</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">GameState</span>
extends java.lang.Object</pre>
<div class="block">The GameState class represents a specific game state of Quarto.
 It saves the current Quarto game's board, current player,
 counters, available pieces, and score.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>10/19/16</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kyle Hekhuis</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#availablePieces">availablePieces</a></span></code>
<div class="block">State of the available pieces in Quarto game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../quarto/Board.html" title="class in quarto">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#board">board</a></span></code>
<div class="block">State of the board in Quarto game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#counterColumns">counterColumns</a></span></code>
<div class="block">State of the column counters in Quarto game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#counterDiagonals">counterDiagonals</a></span></code>
<div class="block">State of the diagonal counters in Quarto game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#counterRows">counterRows</a></span></code>
<div class="block">State of the row counters in Quarto game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../quarto/Player.html" title="class in quarto">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#currentPlayer">currentPlayer</a></span></code>
<div class="block">State of the current player in Quarto game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#score">score</a></span></code>
<div class="block">State of the score in Quarto game.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../quarto/GameState.html#GameState-quarto.Board-quarto.Player-int:A:A-int:A:A-int:A:A-java.util.ArrayList-int:A-">GameState</a></span>(<a href="../quarto/Board.html" title="class in quarto">Board</a>&nbsp;pBoard,
         <a href="../quarto/Player.html" title="class in quarto">Player</a>&nbsp;pCurrentPlayer,
         int[][]&nbsp;pCounterRows,
         int[][]&nbsp;pCounterColumns,
         int[][]&nbsp;pCounterDiagonals,
         java.util.ArrayList&lt;<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&gt;&nbsp;pAvailablePieces,
         int[]&nbsp;pScore)</code>
<div class="block">Instantiates a state of the Quarto game with its
 current attributes.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#getAvailablePieces--">getAvailablePieces</a></span>()</code>
<div class="block">Returns this game state's available pieces.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../quarto/Board.html" title="class in quarto">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#getBoard--">getBoard</a></span>()</code>
<div class="block">Returns this game state's board.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#getCounterColumns--">getCounterColumns</a></span>()</code>
<div class="block">Returns this game state's column counters.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#getCounterDiagonals--">getCounterDiagonals</a></span>()</code>
<div class="block">Returns this game state's diagonal counters.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#getCounterRows--">getCounterRows</a></span>()</code>
<div class="block">Returns this game state's row counters.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../quarto/Player.html" title="class in quarto">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#getCurrentPlayer--">getCurrentPlayer</a></span>()</code>
<div class="block">Returns this game state's current player.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameState.html#getScore--">getScore</a></span>()</code>
<div class="block">Returns this game state's score.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="board">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>board</h4>
<pre>private&nbsp;<a href="../quarto/Board.html" title="class in quarto">Board</a> board</pre>
<div class="block">State of the board in Quarto game.</div>
</li>
</ul>
<a name="currentPlayer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentPlayer</h4>
<pre>private&nbsp;<a href="../quarto/Player.html" title="class in quarto">Player</a> currentPlayer</pre>
<div class="block">State of the current player in Quarto game.</div>
</li>
</ul>
<a name="counterRows">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>counterRows</h4>
<pre>private&nbsp;int[][] counterRows</pre>
<div class="block">State of the row counters in Quarto game.</div>
</li>
</ul>
<a name="counterColumns">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>counterColumns</h4>
<pre>private&nbsp;int[][] counterColumns</pre>
<div class="block">State of the column counters in Quarto game.</div>
</li>
</ul>
<a name="counterDiagonals">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>counterDiagonals</h4>
<pre>private&nbsp;int[][] counterDiagonals</pre>
<div class="block">State of the diagonal counters in Quarto game.</div>
</li>
</ul>
<a name="availablePieces">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>availablePieces</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&gt; availablePieces</pre>
<div class="block">State of the available pieces in Quarto game.</div>
</li>
</ul>
<a name="score">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>score</h4>
<pre>private&nbsp;int[] score</pre>
<div class="block">State of the score in Quarto game.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GameState-quarto.Board-quarto.Player-int:A:A-int:A:A-int:A:A-java.util.ArrayList-int:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GameState</h4>
<pre>public&nbsp;GameState(<a href="../quarto/Board.html" title="class in quarto">Board</a>&nbsp;pBoard,
                 <a href="../quarto/Player.html" title="class in quarto">Player</a>&nbsp;pCurrentPlayer,
                 int[][]&nbsp;pCounterRows,
                 int[][]&nbsp;pCounterColumns,
                 int[][]&nbsp;pCounterDiagonals,
                 java.util.ArrayList&lt;<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&gt;&nbsp;pAvailablePieces,
                 int[]&nbsp;pScore)</pre>
<div class="block">Instantiates a state of the Quarto game with its
 current attributes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pBoard</code> - Quarto game board</dd>
<dd><code>pCurrentPlayer</code> - Quarto current player</dd>
<dd><code>pCounterRows</code> - Quarto row counters</dd>
<dd><code>pCounterColumns</code> - Quarto column counters</dd>
<dd><code>pCounterDiagonals</code> - Quarto diagonal counters</dd>
<dd><code>pAvailablePieces</code> - Quarto available pieces</dd>
<dd><code>pScore</code> - Quarto score</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;<a href="../quarto/Board.html" title="class in quarto">Board</a>&nbsp;getBoard()</pre>
<div class="block">Returns this game state's board.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this game state's board</dd>
</dl>
</li>
</ul>
<a name="getCurrentPlayer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentPlayer</h4>
<pre>public&nbsp;<a href="../quarto/Player.html" title="class in quarto">Player</a>&nbsp;getCurrentPlayer()</pre>
<div class="block">Returns this game state's current player.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this game state's current player</dd>
</dl>
</li>
</ul>
<a name="getCounterRows--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCounterRows</h4>
<pre>public&nbsp;int[][]&nbsp;getCounterRows()</pre>
<div class="block">Returns this game state's row counters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this game state's row counters</dd>
</dl>
</li>
</ul>
<a name="getCounterColumns--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCounterColumns</h4>
<pre>public&nbsp;int[][]&nbsp;getCounterColumns()</pre>
<div class="block">Returns this game state's column counters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this game state's column counters</dd>
</dl>
</li>
</ul>
<a name="getCounterDiagonals--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCounterDiagonals</h4>
<pre>public&nbsp;int[][]&nbsp;getCounterDiagonals()</pre>
<div class="block">Returns this game state's diagonal counters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this game state's diagonal counters</dd>
</dl>
</li>
</ul>
<a name="getAvailablePieces--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAvailablePieces</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&gt;&nbsp;getAvailablePieces()</pre>
<div class="block">Returns this game state's available pieces.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this game state's available pieces</dd>
</dl>
</li>
</ul>
<a name="getScore--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getScore</h4>
<pre>public&nbsp;int[]&nbsp;getScore()</pre>
<div class="block">Returns this game state's score.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this game state's score</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/GameGUI.ButtonListener.html" title="class in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/Hollow.html" title="enum in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/GameState.html" target="_top">Frames</a></li>
<li><a href="GameState.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
